Bug 893144 - (CVE-2013-0151, CVE-2013-0152) CVE-2013-0151 CVE-2013-0152: kernel: xen: nested HVM host crash / OOM condition
CVE-2013-0151 CVE-2013-0152: kernel: xen: nested HVM host crash / OOM condition
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130122,repor...
: Security
Depends On: 902792
Blocks: 893147
  Show dependency treegraph
 
Reported: 2013-01-08 12:40 EST by Petr Matousek
Modified: 2015-11-06 11:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-01-08 12:40:10 EST
CVE-2013-0151: nested virtualization on 32-bit exposes host crash

When performing nested virtualisation Xen would incorrectly map guest
pages for extended periods using an interface which is only intended
for transient mappings. In some configurations there are a limited
number of slots available for these transient mappings and exhausting
them leads to a host crash and therefore a Denial of Service attack.

A malicious guest administrator can, by enabling nested virtualisation
from within the guest, trigger the issue.


CVE-2013-0152: nested HVM exposes host to being driven out of memory by guest

Guests are currently permitted to enable nested virtualization on
themselves. Missing error handling cleanup in the handling code makes
it possible for a guest, particularly a multi-vCPU one, to repeatedly
invoke this operation, thus causing a leak of - over time - unbounded
amounts of memory.

A malicious domain can mount a denial of service attack affecting the
whole system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 2 Petr Matousek 2013-01-08 12:41:31 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2013-01-22 07:11:40 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 902792]
Comment 5 Fedora Update System 2013-02-01 23:32:11 EST
xen-4.2.1-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jan Lieskovsky 2013-03-07 06:18:54 EST
Upstream patch for XSA-34 / CVE-2013-0151:

    http://xenbits.xen.org/gitweb/?p=xen.git;a=commit;h=d60d7082289a74e44b3dc8f67df46c3404ca08bf

Note You need to log in before you can comment on or make changes to this bug.